# spec file for php-pear-Net-FTP
#
# Copyright (c) 2006-2015 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#
%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear:       %global __pear       %{_bindir}/pear}
%global pear_name Net_FTP

Name:           php-pear-Net-FTP
Version:        1.4.0
Release:        1%{?dist}
Summary:        Provides an OO interface to the PHP FTP functions plus some additions

Group:          Development/Libraries
License:        PHP
URL:            http://pear.php.net/package/Net_FTP
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear
BuildRequires:  dos2unix

Requires:       php-pear(PEAR)
Requires(post): %{__pear}
Requires(postun): %{__pear}

Provides:       php-pear(%{pear_name}) = %{version}
Provides:       php-composer(pear/net_ftp) = %{version}


%description
Net_FTP allows you to communicate with FTP servers in a more comfortable
way than the native FTP functions of PHP do. The class implements everything
nativly supported by PHP and additionally features like recursive up- and
downloading, dircreation and chmodding. It although implements an observer
pattern to allow for example the view of a progress bar.


%prep
%setup -q -c

sed -e '/CHANGELOG/s/role="data"/role="doc"/' \
    -e '/README/s/role="data"/role="doc"/' \
   -i package.xml

cd %{pear_name}-%{version}
# package.xml is V2
mv ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
rm -rf %{buildroot}
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Fix  wrong-file-end-of-line-encoding
dos2unix %{buildroot}%{pear_docdir}/%{pear_name}/example/* \
         %{buildroot}%{pear_docdir}/%{pear_name}/CHANGELOG


# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}


%clean
rm -rf %{buildroot}


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Net
%{pear_testdir}/Net_FTP


%check
# yum install php-pear-Net-FTP  php-pear-PHPUnit  vsftpd
# cd /usr/share/pear/test/Net_FTP
# cp config.php.dist config.php
# vi config.php
## (tested with PHPUnit 3.5.10)
# phpunit -d date.timezone=UTC AllTests.php
## should display : OK (9 tests, 31 assertions)


%changelog
* Thu Mar 12 2015 Remi Collet <remi@fedoraproject.org> - 1.4.0-1
- update to 1.4.0
- add provides php-composer(pear/net_ftp)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.7-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.7-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Feb 19 2013 Remi Collet <remi@fedoraproject.org> - 1.3.7-12
- fix metadata location

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Aug 14 2012 Remi Collet <remi@fedoraproject.org> - 1.3.7-10
- rebuilt for new pear_testdir

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Apr 18 2011 Remi Collet <Fedora@FamilleCollet.com> 1.3.7-7
- doc in /usr/share/doc/pear

* Wed Feb 09 2011 Remi Collet <Fedora@FamilleCollet.com> 1.3.7-6
- fix test patch (FTBFS)
- define timezone during build

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat May 22 2010 Remi Collet <Fedora@FamilleCollet.com> 1.3.7-4
- spec cleanup
- rename Net_FTP.xml to php-pear-Net-FTP.xml

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue May 20 2008 Remi Collet <Fedora@FamilleCollet.com> 1.3.7-1
- new version
- add Net_FTP-1.3.7-test.patch for test suite (from CVS)

* Thu May 08 2008 Remi Collet <Fedora@FamilleCollet.com> 1.3.6-1
- new version

* Tue Dec 11 2007 Remi Collet <Fedora@FamilleCollet.com> 1.3.4-1
- new version

* Thu Dec  6 2007 Remi Collet <Fedora@FamilleCollet.com> 1.3.3-1
- new version
- fix license
- add %%check (for documentation only)

* Sun Nov  5 2006 Remi Collet <Fedora@FamilleCollet.com> 1.3.2-1
- initial RPM (generated specfile + cleanup)
- add CHANGELOG and LICENSE
